License issue - removal of MIT/X copyright notice from code sourced from another project.

2014-09-14 05:20 PM - Luke Pinner

Status: Rejected

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 19514

Description

In the QGIS "python/plugins/processing/tools/raster.py" module, the following functions appear to be taken with minor changes from 

https://code.google.com/p/metageta/source/browse/trunk/metageta/geometry.py but the MIT/X copyright notice has been removed:

    -  mapToPixel

    -  pixelToMap

    -  applyGeoTransform

    -  invertGeoTransform

History

#1 - 2014-09-14 05:33 PM - Nathan Woodrow

- Assignee set to Victor Olaya

- Category set to 94

#2 - 2014-09-14 09:04 PM - Victor Olaya

- Assignee changed from Victor Olaya to Alexander Bruy

Alex, you added this, can you confirm?

#3 - 2014-09-15 01:01 AM - Alexander Bruy

- Status changed from Open to Rejected

- Resolution set to invalid

This is completely unfounded charge. This my own code and it was published much earlier than metageta files. So I can say exactly the same to guys from

metageta "the following functions appear to be taken with minor changes from http://gis-lab.info/qa/extract-values-rasters-eng.html".

#4 - 2014-09-15 04:52 AM - Luke Pinner

No you didn't write that code. I did, and it was committed to the metageta repo back in March 2010 - 

https://code.google.com/p/metageta/source/browse/branches/walkdev/lib/geometry.py?spec=svn253&#38;r=253

However, after a cursory Google search I discovered that I gave you that code via email on the gdal-dev mailing list, and when I did, I neglected to include

the metageta license text - http://osgeo-org.1560.x6.nabble.com/gdal-dev-Real-and-quot-raster-quot-coordinates-td3749761.html

So I will tell myself off for not including the license text. Bad Luke! You may consider the mapToPixel, pixelToMap and applyGeoTransform functions as
public domain and do with them as you want.

The invertGeoTransform function is another matter though. You did strip the MIT/X license text out of the invertGeoTransform (was invGeoTransform)

function which I ported to python from the GDAL gdaltransformer.cpp C++ source code http://svn.osgeo.org/gdal/trunk/gdal/alg/gdaltransformer.cpp

You should include the GDAL copyright notice as required by the MIT/X license, which I have reproduced below:

    #    ******************************************************************************

    #    * This code was ported from GDALInvGeoTransform() in gdaltransformer.cpp

    #    * GDAL MIT/X license and copyright notices included below as required.

    #    ******************************************************************************

    #    * $Id: gdaltransformer.cpp 15024 2008-07-24 19:25:06Z rouault $

    #    *

    #    * Project:  Mapinfo Image Warper

    #    * Purpose:  Implementation of one or more GDALTrasformerFunc types, including

    #    *           the GenImgProj (general image reprojector) transformer.

    #    * Author:   Frank Warmerdam, warmerdam@pobox.com

    #    *

    #    ******************************************************************************

    #    * Copyright (c) 2002, i3 - information integration and imaging 

    #    *                          Fort Collin, CO

    #    *

    #    * Permission is hereby granted, free of charge, to any person obtaining a

    #    * copy of this software and associated documentation files (the "Software"),

    #    * to deal in the Software without restriction, including without limitation

    #    * the rights to use, copy, modify, merge, publish, distribute, sublicense,

    #    * and/or sell copies of the Software, and to permit persons to whom the

    #    * Software is furnished to do so, subject to the following conditions:

    #    *

    #    * The above copyright notice and this permission notice shall be included

    #    * in all copies or substantial portions of the Software.

    #    *

    #    * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS

    #    * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

    #    * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL

    #    * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER

    #    * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING

    #    * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER

    #    * DEALINGS IN THE SOFTWARE.

    #    ****************************************************************************

#5 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
